mtx-update(1)

NAME
 mtx-update - ConTeXt Minimals Updater

SYNOPSIS
mtxrun --script update [ OPTIONS ... ] [ FILENAMES ]

DESCRIPTION
ConTeXt Minimals Updater

OPTIONS

--platform=string
    platform (windows, linux, linux-64, osx-intel, osx-ppc, linux-ppc)

--server=string
    repository url (rsync://contextgarden.net)

--module=string
    repository url (minimals)

--repository=string
    specify version (current, experimental)

--context=string
    specify version (current, latest, beta, yyyy.mm.dd)

--rsync=string
    rsync binary (rsync)

--texroot=string
    installation directory (not guessed for the moment)

--engine=string
    tex engine (luatex, pdftex, xetex)

--modules=string
    extra modules (can be list or 'all')

--fonts=string
    additional fonts (can be list or 'all')

--goodies=string
    extra binaries (like scite and texworks)

--force
    instead of a dryrun, do the real thing

--update
    update minimal tree

--make
    also make formats and generate file databases

--keep
    don't delete unused or obsolete files

--state
    update tree using saved state

--cygwin
    adapt drive specs to cygwin

--mingw
    assume mingw binaries being used

--silent
    less (or no) logging

AUTHOR
More information about ConTeXt and the tools that come with it can be found at: maillist: ntg-context@ntg.nl / http://www.ntg.nl/mailman/listinfo/ntg-context webpage: http://www.pragma-ade.nl / http://tex.aanhet.net wiki: http://contextgarden.net